%define our_version v1.1.3
Name:           perl-Zonemaster-CLI
Version:        %{our_version}
Release:        1%{?dist}
Summary:        Zonemaster::CLI Perl module
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Zonemaster-CLI/
Source0:        http://www.cpan.org/authors/id/Z/ZN/ZNMSTR/perl-Zonemaster-CLI-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.14.2
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(Locale::TextDomain) >= 1.23
BuildRequires:  perl(MooseX::Getopt)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::Reflow)
BuildRequires:  perl(Module::Install)
BuildRequires:  perl(Locale::Msgfmt)
BuildRequires:  perl-Zonemaster-Engine >= v2
BuildRequires:  perl-Zonemaster-LDNS >= 1
#BuildRequires:  perl(Zonemaster::Engine) >= 2
#BuildRequires:  perl(Zonemaster::LDNS) >= 1
Requires:       perl(JSON::XS)
Requires:       perl(Locale::TextDomain) >= 1.23
Requires:       perl(MooseX::Getopt)
Requires:       perl(Text::Reflow)
Requires:       perl-Zonemaster-Engine >= v2
Requires:       perl-Zonemaster-LDNS >= 1
#Requires:       perl(Zonemaster::Engine) >= 2
#Requires:       perl(Zonemaster::LDNS) >= 1
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Zonemaster CLI
==============
[![Build Status](https://travis-ci.org/dotse/zonemaster-
engine.svg?branch=master)](https://travis-ci.org/dotse/zonemaster-engine)
[![CPAN version](https://badge.fury.io/pl/Zonemaster-
CLI.svg)](https://metacpan.org/pod/Zonemaster::CLI)

%prep
%setup -q -n perl-Zonemaster-CLI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README.md USING.md
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri Jan 11 2019 jaromir.talir@nic.cz 1.1.3-1
- Specfile autogenerated by cpanspec 1.78.
